#include <iostream>
#include <unordered_map>
#include <vector>
struct Row{
    std::vector<size_t> row;
    int index;
};

void printTriangle(Row & triangle){
    for(auto & num : triangle.row){
        std::cout << num << " ";
    }
    std::cout << std::endl;
}

int generateTree(Row & triangle, std::unordered_map<size_t , size_t> & mappedInts, size_t sNumber){
    bool numberFound = false;
    bool add = true;
    while(!numberFound){
        ++triangle.index;
        std::vector<size_t> newLine;
        newLine.emplace_back(1);

        for(size_t i = 1; i < triangle.row.size(); ++i){
            size_t sum = triangle.row[i - 1] + triangle.row[i];
            if(sum > 1000000000){
                add = false;
                break;
            }
            newLine.emplace_back(sum);
            if(triangle.row.size() != 2 && mappedInts.find(newLine[newLine.size() - 1]) == mappedInts.end())
                mappedInts[newLine[newLine.size() - 1]] = triangle.index;
            if(sum == sNumber)
                numberFound = true;
        }
        if(newLine.size() == 2){
//            printTriangle(triangle);
            triangle.row = newLine;
            return (int)sNumber + 1;
        }
        if(add)
            newLine.emplace_back(1);
        triangle.row = newLine;
    }
    return triangle.index;
}



int main() {

    Row triangle;
    triangle.row = {1,2,1};
    triangle.index = 3;
    std::unordered_map<size_t , size_t> mappedInts;
    mappedInts[1] = 1;
    mappedInts[2] = 3;

    int requests = 0;
    std::cin >> requests;
    while(requests){

        int cell = 0;
        std::cin >> cell;
        auto res = mappedInts.find(cell);
        if(res == mappedInts.end() && triangle.row.size() != 2)
            std::cout << generateTree(triangle, mappedInts, cell) << std::endl;
        else if(res == mappedInts.end() && triangle.row.size() == 2)
            std::cout << cell + 1 << std::endl;
        else
            std::cout << mappedInts[cell] << std::endl;
//        printTriangle(triangle);
        --requests;
    }

    return 0;
}
